<?php
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
Error_Reporting (ERROR | WARNING);


include_once("include/antixak.php");
include_once("include/ini.php");
include 'include/sesi.php';
$self=$_POST['self'];
$self = htmlspecialchars($self);

$self=htmlspecialchars($self);
$self=str_replace("|","",$self);

$_title = 'Чат';
$__timer = true;
$__timer_['time'] = 1;
$__timer_['timer_go'] = "chat.php?$sd";
include 'include/header2.php';


$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));

/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);
$ban=trim($udata[36]);}
////////////////////////////////////////////////////////

if (isset($user)) {
if($log=="CooL"){

$google_bot=$_SERVER['REMOTE_ADDR'];
session_register("google_bot");
}

if(isset($_SESSION['google_bot'])){
echo"<small>Вы не можете писать в чате.</small>";

include_once"include/down.php"; exit; }
$file=file("MySql/base123/config.dat");
$data=explode("||",$file[0]);
if($data[0]=="off"){echo"<small>Приносим извинения, чат выключен администратором не на долгое время.</small>"; echo "</p></card></wml>"; exit; }
if(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){ $ip = $_SERVER['HTTP_X_FORWARDED_FOR']; }else{$ip=$_SERVER['REMOTE_ADDR'];}
$ip=htmlspecialchars(stripslashes($ip));
if(!empty($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])){$brow=$_SERVER['HTTP_X_OPERAMINI_PHONE_UA'];}elseif(!empty($_SERVER['HTTP_X_OPERAMINI_PHONE'])){
$brow=$_SERVER['HTTP_X_OPERAMINI_PHONE'];}else{
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));}
$brow=strtok($brow,'/');

if("http://Anonymouse.org/ (Unix)"==getenv('HTTP_USER_AGENT')){

echo"<small>Извините, но с прокси писать запрещено.<br/><br/>Если это сообщение вам выдало по непонятной причине, напишите на ник Bishop браузер с которого
вы заходите.</small>";
echo "</p></card></wml>";
exit;
}

if($brow==getenv('HTTP_USER_AGENT')){
if($ip!==$_SERVER['REMOTE_ADDR']){
echo"<small>Извините, но с прокси писать запрещено.<br/><br/>Если это сообщение вам выдало по непонятной причине, напишите на ник Руслан браузер с которого
вы заходите.</small>";
echo "</p></card></wml>";
exit;
}
}

if($udata[9]<"10"){echo"<small>В чате нельзя писать до 10 уровня.<small>"; include_once"include/down.php"; exit;}

$ipone=explode(".",$ip);

$iptwo="$ipone[0].$ipone[1].$ipone[2]";

$ban="$ipone[0].$ipone[1]";

$file=file("MySql/base123/ban.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data = explode("||",$file[$i]);

if($data[2]==$log){
$time=time()-86400;
if($data[1]>$time){echo"<small>
Вы забанены.<br/>
Срок: 24 часа<br/>
За сообщение: $data[4]<br/>
Причина: $data[3]<br/>
Ник забаненого игрока: $data[2]<br/>
IP нарушителя: $data[0]<br/><br/>

Если вы считаете что бан не справедлив. То свяжитесь с администрацией.
</small>"; echo "</p></card></wml>"; exit; }
}}
$brow=str_replace("|","",$brow);
$ip=str_replace("|","",$ip);
$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);


require_once "include/flood.php";
if (CheckIP ()){ echo"<b>[Guard Plamens]</b><br/>Сообщение можно писать 1 раз в 30 секунд."; echo "</p></card></wml>"; exit;}

$date=date("d.m.y");
$time=date("H:i:s");

require_once "include/translit.php";
if(ereg("[а-яА-Я]",$msg)){}else{
$msg=str_replace($trans1,$trans2,$msg);}

$msg=eregi_replace("((https?|ftp|http)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $msg);
$msg=eregi_replace("([[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $msg);

$msg=addslashes($msg);
$msg=stripslashes($msg);
$msg=htmlspecialchars($msg);
$msg=str_replace("#","",$msg);
$log=str_replace("#","",$log);
//////////////////////////////////
if(empty($msg)){echo"<b>Вы не ввели сообщение!</b>";echo "</p></card></wml>"; exit; }
if ($msg == "" || strlen($msg) > 500 || strlen($msg) < 3) { echo"<small>Сообщение длинное или короткое!</small>"; echo "</p></card></wml>"; exit;}


$msg=str_replace("[1]","<font color='green'>",$msg); $msg=str_replace("[/1]","</font>",$msg);
$msg=str_replace("[2]","<font color='white'>",$msg); $msg=str_replace("[/2]","</font>",$msg);
$msg=str_replace("[3]","<font color='yellow'>",$msg); $msg=str_replace("[/3]","</font>",$msg);
$msg=str_replace("[4]","<u>",$msg); $msg=str_replace("[/4]","</u>",$msg);
$msg=str_replace("[5]","<b>",$msg); $msg=str_replace("[/5]","</b>",$msg);
$msg=str_replace("%)","<img src=\"pic/smiles/cvety.gif\" alt=\"%)\"/>",$msg);
$msg=str_replace(":#","<img src=\"pic/smiles/mad.gif\" alt=\":#\"/>",$msg);
$msg=str_replace(";)","<img src=\"pic/smiles/girl11.gif\" alt=\";)\"/>",$msg);
$msg=str_replace("8D","<img src=\"pic/smiles/girl5.gif\" alt=\"8D\"/>",$msg);
$msg=str_replace("0:-)","<img src=\"pic/smiles/aa.gif\" alt=\"0:-)\"/>",$msg);
$msg=str_replace(":-)","<img src=\"pic/smiles/ab.gif\" alt=\":-)\"/>",$msg);
$msg=str_replace(":-(","<img src=\"pic/smiles/ac.gif\" alt=\":-(\"/>",$msg);
$msg=str_replace(";-)","<img src=\"pic/smiles/ad.gif\" alt=\";-)\"/>",$msg);
$msg=str_replace("8-)","<img src=\"pic/smiles/af.gif\" alt=\"8-)\"/>",$msg);
$msg=str_replace(":-[","<img src=\"pic/smiles/ah.gif\" alt=\":-[\"/>",$msg);
$msg=str_replace("=-0","<img src=\"pic/smiles/ai.gif\" alt=\"=-0\"/>",$msg);
$msg=str_replace(":-*","<img src=\"pic/smiles/aj.gif\" alt=\":-*\"/>",$msg);
$msg=str_replace(":'(","<img src=\"pic/smiles/ak.gif\" alt=\":'(\"/>",$msg);
$msg=str_replace(":-|","<img src=\"pic/smiles/an.gif\" alt=\":-|\"/>",$msg);
$msg=str_replace(":-\\","<img src=\"pic/smiles/ao.gif\" alt=\":-\\\"/>",$msg);
$msg=str_replace("]:-}","<img src=\"pic/smiles/ar.gif\" alt=\"]:-}\"/>",$msg);
$msg=str_replace(":-!","<img src=\"pic/smiles/at.gif\" alt=\":-!\"/>",$msg);
$msg=str_replace("@=","<img src=\"pic/smiles/bb.gif\" alt=\"@=\"/>",$msg);
$msg=str_replace("%)","<img src=\"pic/smiles/be.gif\" alt=\"%)\"/>",$msg);
$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($elita)==1){
$msg="<font color=red><b>$msg</b></font>";}
$text="($time)<br/>$msg#$log#$brow#$ip#$name#";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);


$udata[100]=round($udata[100]+1);

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("MySql/base123/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$file=file("MySql/base123/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("MySql/base123/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}

echo"Сообщение <b>$msg</b> добавлено";



}else{echo"<small>Пароль или логин неверен!</small>";}
include 'include/down.php';
?>
